---
title: MySqlBatch.ExecuteReaderAsync method
---

# MySqlBatch.ExecuteReaderAsync method

Executes all the commands in the batch, returning a [`MySqlDataReader`](../../MySqlDataReaderType/) that can iterate over the result sets. If multiple resultsets are returned, use [`NextResultAsync`](../../MySqlDataReader/NextResultAsync/) to access them.

```csharp
public Task<MySqlDataReader> ExecuteReaderAsync(
    CancellationToken cancellationToken = default(CancellationToken))
```

| parameter | description |
| --- | --- |
| cancellationToken | A token to cancel the asynchronous operation. |

## Return Value

A Task containing the result of the asynchronous operation.

## See Also

* class [MySqlDataReader](../../MySqlDataReaderType/)
* class [MySqlBatch](../../MySqlBatchType/)
* namespace [MySqlConnector](../../MySqlBatchType/)
* assembly [MySqlConnector](../../../MySqlConnectorAssembly/)

<!-- DO NOT EDIT: generated by xmldocmd for MySqlConnector.dll -->
